[ubuntu/groovy-proposed] pulseaudio 1:13.99.1-1ubuntu5 (Accepted)

Jamie Strandboge jamie at ubuntu.com
Tue May 12 21:24:13 UTC 2020


pulseaudio (1:13.99.1-1ubuntu5) groovy; urgency=medium

  * SECURITY UPDATE: stop snaps from loading and unloading modules, to
    prevent bypass of audio recording restriction (LP: #1877102). Patch
    thanks to James Henstridge
    - d/p/0407-access-Add-access-control-hooks.patch: make sure access
      hook IDs are non-zero.
    - d/p/0700-modules-add-snappy-policy-module.patch: Prevent snaps from
      controlling modules, terminating the daemon, or disconnecting clients.
    - CVE-2020-11931
  * debian/control: Build-Depends on libsnapd-glib-dev (>= 1.49)

pulseaudio (1:13.99.1-1ubuntu4) groovy; urgency=medium

  * debian/patches/gitlab_jack_identifier.patch:
    - fix a regression introduced by the change which was leading to
      headphones not being activated when connected (LP: #1876065)

Date: Tue, 12 May 2020 20:08:11 +0000
Changed-By: Jamie Strandboge <jamie at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/+source/pulseaudio/1:13.99.1-1ubuntu5
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 12 May 2020 20:08:11 +0000
Source: pulseaudio
Architecture: source
Version: 1:13.99.1-1ubuntu5
Distribution: groovy
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Jamie Strandboge <jamie at ubuntu.com>
Launchpad-Bugs-Fixed: 1876065 1877102
Changes:
 pulseaudio (1:13.99.1-1ubuntu5) groovy; urgency=medium
 .
   * SECURITY UPDATE: stop snaps from loading and unloading modules, to
     prevent bypass of audio recording restriction (LP: #1877102). Patch
     thanks to James Henstridge
     - d/p/0407-access-Add-access-control-hooks.patch: make sure access
       hook IDs are non-zero.
     - d/p/0700-modules-add-snappy-policy-module.patch: Prevent snaps from
       controlling modules, terminating the daemon, or disconnecting clients.
     - CVE-2020-11931
   * debian/control: Build-Depends on libsnapd-glib-dev (>= 1.49)
 .
 pulseaudio (1:13.99.1-1ubuntu4) groovy; urgency=medium
 .
   * debian/patches/gitlab_jack_identifier.patch:
     - fix a regression introduced by the change which was leading to
       headphones not being activated when connected (LP: #1876065)
Checksums-Sha1:
 30883e2da59706bc2c3c077fd382a14c1933e3e3 3851 pulseaudio_13.99.1-1ubuntu5.dsc
 aa1c5dd3f0e2980b4bcd777a5178191ac26d41a4 139700 pulseaudio_13.99.1-1ubuntu5.debian.tar.xz
 efaf30c2db85583654419092225eaa64af2c2295 18380 pulseaudio_13.99.1-1ubuntu5_source.buildinfo
Checksums-Sha256:
 d8886ed22abaee6f94dd1c6c2f6ed914ddc1543c9d164f7f14f93b19d1dfd530 3851 pulseaudio_13.99.1-1ubuntu5.dsc
 0b810bfec6d20a14ee8e7e8b6c3a1764b41497926f6fea2e7d2574564bd33efd 139700 pulseaudio_13.99.1-1ubuntu5.debian.tar.xz
 9828c45dff019b806bd1e2cb55a4b44b47e75c6bedae3c93e1e0aedca894e2b2 18380 pulseaudio_13.99.1-1ubuntu5_source.buildinfo
Files:
 c21a879e06f8ac7bc4a8d786c3408ed7 3851 sound optional pulseaudio_13.99.1-1ubuntu5.dsc
 9591cbf6708b76b12def2c09e865cd4b 139700 sound optional pulseaudio_13.99.1-1ubuntu5.debian.tar.xz
 d345611db1ef7740a1dce23c0e094fe8 18380 sound optional pulseaudio_13.99.1-1ubuntu5_source.buildinfo
Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel at lists.alioth.debian.org>

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEETCDAa12L3miIVNKKUdvcWMxVlXMFAl67DsQACgkQUdvcWMxV
lXNH9w/+MRn70yTYVFdXIosE9U00bqJxv0U6BDVCyJTfjpZEzHmkRk9F2Cp3nDSm
wc0QZ1ceL5R0dqGJ+YKV/doblbZ/mlzIWb3OCtcnM8ZJsgnPDWinQwrC2rNdfYq5
ZQYAozJGqwj3iXTVv8LwFclgxG5mgEyCy44u6gU0GLRDrYYqFc3BmrN21IdyfA1p
hLh8926s1DKwJhRrL38PGQQmgsetePzmiZ3fZkc7060DM38vRsavgdwxFB6EKCOW
r7x8PwL3RwqVBDFXJ0hQKJQkERzUZ6R1CUcqgLm4mhn2yEvPaZhJYKAAkqhe6ttZ
65aJ6h1HYmHOn0pghV2j0Ce6XJ8//Pfa91ZMAxyDRs8nCr8grW16GyzPRZC5XuDf
6s5OOH9q9l3/ntJHy8el36MPq7skLGukyDzNU5xijwbmzNUX81N90Q98EehfccNv
B8k2uzeSlBt7Z4phmDEFWxOulRJXatHMbSZ9TVcitcAgob9c9dkA57ebSU+J3LqF
OC5IrKSqIfHIV2xl90TFFReiiWSl4CO+N7f4AFNWjg6pPePKU3qzbNZhXiz0RkeX
jwhTjuSklc4utYeYGA3BEqxxWooLAOTIFgJHUH/y+6ZgPYlWwQESiLS+Zf9tatng
XkSpeSJ3tcqUnkTVUmS9u9Uqci/jm7E3UKix5gNr5z3QWIjjLR0=
=4Xc2
-----END PGP SIGNATURE-----


More information about the Groovy-changes mailing list